Package edu.fiu.jtlex

# Enum IRel.Type

java.lang.Object
java.lang.Enum<IRel.Type>
edu.fiu.jtlex.IRel.Type

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<IRel.Type>`, `java.lang.constant.Constable`

Enclosing interface:
  IRel

    public static enum IRel.Type
    extends java.lang.Enum<IRel.Type>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `ASPECTUAL_PREDICATE` |
  `CLAUSE_RELATION` |
  `CONTAINS` |
  `ELEMENT_OF` |
  `EVENT_PREDICATE` |
  `FOLLOWS` |
  `GOVERNS` |
  `INVOLVES` |
  `LOCATED_IN` |
  `OCCURS_AT` |
  `OCCURS_ON` |
  `PREDICATE` |
  `RELATED_TO` |
  `RELATES_TO` |
  `REPORTED_THROUGH` |
  `SEMANTIC_ROLE` |
  `SUPERIOR` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static IRel.Type` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static IRel.Type[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EVENT_PREDICATE

    public static final IRel.Type EVENT_PREDICATE

  - ### PREDICATE

    public static final IRel.Type PREDICATE

  - ### CLAUSE_RELATION

    public static final IRel.Type CLAUSE_RELATION

  - ### GOVERNS

    public static final IRel.Type GOVERNS

  - ### SEMANTIC_ROLE

    public static final IRel.Type SEMANTIC_ROLE

  - ### ASPECTUAL_PREDICATE

    public static final IRel.Type ASPECTUAL_PREDICATE

  - ### CONTAINS

    public static final IRel.Type CONTAINS

  - ### ELEMENT_OF

    public static final IRel.Type ELEMENT_OF

  - ### INVOLVES

    public static final IRel.Type INVOLVES

  - ### OCCURS_AT

    public static final IRel.Type OCCURS_AT

  - ### OCCURS_ON

    public static final IRel.Type OCCURS_ON

  - ### FOLLOWS

    public static final IRel.Type FOLLOWS

  - ### LOCATED_IN

    public static final IRel.Type LOCATED_IN

  - ### RELATED_TO

    public static final IRel.Type RELATED_TO

  - ### RELATES_TO

    public static final IRel.Type RELATES_TO

  - ### SUPERIOR

    public static final IRel.Type SUPERIOR

  - ### REPORTED_THROUGH

    public static final IRel.Type REPORTED_THROUGH

- ## Method Details

  - ### values

    public static IRel.Type[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static IRel.Type valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null